OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PColgp

# PColgp_SeqExplorerOfHSequenceOfDir Class Reference

`#include <PColgp_SeqExplorerOfHSequenceOfDir.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColgp_SeqExplorerOfHSequenceOfDir (const Handle(PColgp_HSequenceOfDir)&S)
Standard_EXPORT gp_Dir | Value (const Standard_Integer Index)
Standard_EXPORT Standard_Boolean | Contains (const gp_Dir &T)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const gp_Dir &T, const Standard_Integer FromIndex, const Standard_Integer ToIndex)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const gp_Dir &T)
## Private Attributes
Handle_PColgp_SeqNodeOfHSequenceOfDir | CurrentItem
Standard_Integer | CurrentIndex
Handle_PColgp_HSequenceOfDir | TheSequence

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_SeqExplorerOfHSequenceOfDir::PColgp_SeqExplorerOfHSequenceOfDir | ( | const Handle(PColgp_HSequenceOfDir)& | S | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean PColgp_SeqExplorerOfHSequenceOfDir::Contains | ( | const gp_Dir & | T | ) |

Standard_EXPORT Standard_Integer PColgp_SeqExplorerOfHSequenceOfDir::Location | ( | const Standard_Integer | N,
|  | const gp_Dir & | T
| ) |

Standard_EXPORT Standard_Integer PColgp_SeqExplorerOfHSequenceOfDir::Location | ( | const Standard_Integer | N,
|  | const gp_Dir & | T,
|  | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

void PColgp_SeqExplorerOfHSequenceOfDir::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColgp_SeqExplorerOfHSequenceOfDir::operator new | ( | size_t | size | ) | `[inline]`

void* PColgp_SeqExplorerOfHSequenceOfDir::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT gp_Dir PColgp_SeqExplorerOfHSequenceOfDir::Value | ( | const Standard_Integer | Index | ) |

## Field Documentation

Standard_Integer PColgp_SeqExplorerOfHSequenceOfDir::CurrentIndex`[private]`

Handle_PColgp_SeqNodeOfHSequenceOfDir PColgp_SeqExplorerOfHSequenceOfDir::CurrentItem`[private]`

Handle_PColgp_HSequenceOfDir PColgp_SeqExplorerOfHSequenceOfDir::TheSequence`[private]`

The documentation for this class was generated from the following file:

- PColgp_SeqExplorerOfHSequenceOfDir.hxx